Package com.google.gwt.dom.builder.client

## Class DomScriptBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.client.DomElementBuilderBase<ScriptBuilder,​ScriptElement>
    - - com.google.gwt.dom.builder.client.DomScriptBuilder

- All Implemented Interfaces:
    `ElementBuilderBase<ScriptBuilder>`, `ScriptBuilder`

      public class DomScriptBuilder
      extends DomElementBuilderBase<ScriptBuilder,​ScriptElement>
      implements ScriptBuilder

  DOM-based implementation of `ScriptBuilder`.

- - ### Field Summary

    - ### Fields inherited from interface com.google.gwt.dom.builder.shared.ScriptBuilder

      `UNSUPPORTED_HTML`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DomScriptBuilder​(DomBuilderImpl delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ScriptBuilder` | `defer​(java.lang.String defer)` | Indicates that the user agent can defer processing of the script.
    `ScriptBuilder` | `html​(SafeHtml html)` | Append html within the node.
    `boolean` | `isChildElementSupported()` | Check if child elements are supported.
    `ScriptBuilder` | `src​(java.lang.String src)` | URI designating an external script.
    `ScriptBuilder` | `text​(java.lang.String text)` | Append text within the node.
    `ScriptBuilder` | `type​(java.lang.String type)` | The content type of the script language.

    - ### Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

      `assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

      `end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isEndTagForbidden, style`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

- - ### Constructor Detail

    - #### DomScriptBuilder

          DomScriptBuilder​(DomBuilderImpl delegate)

  - ### Method Detail

    - #### defer

          public ScriptBuilder defer​(java.lang.String defer)

      Description copied from interface: `ScriptBuilder`
      Indicates that the user agent can defer processing of the script.
      Specified by:
        `defer` in interface `ScriptBuilder`
      See Also:
        W3C HTML Specification

    - #### html

          public ScriptBuilder html​(SafeHtml html)

      Description copied from interface: `ElementBuilderBase`
      Append html within the node.

      Once you append HTML to the element, you can no longer set attributes.

      Specified by:
        `html` in interface `ElementBuilderBase<ScriptBuilder>`
      Overrides:
        `html` in class `AbstractElementBuilderBase<ScriptBuilder>`
      Parameters:
        `html` - the HTML to append
      Returns:
        this builder

    - #### isChildElementSupported

          public boolean isChildElementSupported()

      Description copied from interface: `ElementBuilderBase`
      Check if child elements are supported.
      Specified by:
        `isChildElementSupported` in interface `ElementBuilderBase<ScriptBuilder>`
      Overrides:
        `isChildElementSupported` in class `AbstractElementBuilderBase<ScriptBuilder>`
      Returns:
        true if supported, false if not.

    - #### src

          public ScriptBuilder src​(java.lang.String src)

      Description copied from interface: `ScriptBuilder`
      URI designating an external script.
      Specified by:
        `src` in interface `ScriptBuilder`
      See Also:
        W3C HTML Specification

    - #### text

          public ScriptBuilder text​(java.lang.String text)

      Description copied from interface: `ElementBuilderBase`
      Append text within the node.

      Once you append text to the element, you can no longer set attributes.

      A string-based implementation will escape the text to prevent HTML/javascript code from executing. DOM based implementations are not required to escape the text if they directly set the innerText of an element.

      Specified by:
        `text` in interface `ElementBuilderBase<ScriptBuilder>`
      Overrides:
        `text` in class `AbstractElementBuilderBase<ScriptBuilder>`
      Parameters:
        `text` - the text to append
      Returns:
        this builder

    - #### type

          public ScriptBuilder type​(java.lang.String type)

      Description copied from interface: `ScriptBuilder`
      The content type of the script language.
      Specified by:
        `type` in interface `ScriptBuilder`
      See Also:
        W3C HTML Specification